cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/tracks/123e4567-e89b-42d3-a456-426614174003/instances/123e4567-e89b-42d3-a456-426614174004" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.instances.get("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.instances.get("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004");{
"instance": {
"id": "<string>",
"file_id": "<string>",
"position": {
"mode": "fixed",
"frame": 0,
"clip_id": "<string>",
"edge": "start",
"offset": 0
},
"trim_start": 123,
"trim_end": 123,
"effects": {
"speed": 1,
"volume": 1,
"fade_in_seconds": 0,
"fade_out_seconds": 0
},
"length": 123,
"phase": 0,
"envelope_offset": 0,
"envelope_length": 123,
"issues": [
"<string>"
]
},
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Studio
Get an instance
Get one audio instance. issues contains anchor_missing when its followed clip is gone.
GET
/
v1
/
studio
/
projects
/
{project_id}
/
tracks
/
{track_id}
/
instances
/
{instance_id}
cURL
curl \
--request GET \
--url "https://api.breeze.blue/v1/studio/projects/prj_example/tracks/123e4567-e89b-42d3-a456-426614174003/instances/123e4567-e89b-42d3-a456-426614174004" \
--header "xi-api-key: $BREEZE_API_KEY"from breeze_blue import BreezeBlue
client = BreezeBlue()
result = client.studio.instances.get("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004")import { BreezeBlueClient } from "@breeze.blue/sdk";
const client = new BreezeBlueClient();
const result = await client.studio.instances.get("prj_example", "123e4567-e89b-42d3-a456-426614174003", "123e4567-e89b-42d3-a456-426614174004");{
"instance": {
"id": "<string>",
"file_id": "<string>",
"position": {
"mode": "fixed",
"frame": 0,
"clip_id": "<string>",
"edge": "start",
"offset": 0
},
"trim_start": 123,
"trim_end": 123,
"effects": {
"speed": 1,
"volume": 1,
"fade_in_seconds": 0,
"fade_out_seconds": 0
},
"length": 123,
"phase": 0,
"envelope_offset": 0,
"envelope_length": 123,
"issues": [
"<string>"
]
},
"edit_token": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}{
"code": "<string>",
"detail": "<string>",
"error": "<string>",
"ok": false,
"meta": {}
}Continue building
Arrange background audio
Upload files and place them on tracks.
Get a file
Check that audio is ready to place.
Studio CLI
Run the same operations from a terminal.
Authorizations
Breeze Developer API key.
Path Parameters
Studio project ID, such as prj_….
Audio track ID, or narration for the narration track.
Audio instance ID.

